<?php

// Verifica o IP do usuário nos últimos 30 registros
$ip = $_SERVER["REMOTE_ADDR"];
$sql = "SELECT * FROM visitas WHERE ip='$ip' ORDER BY data DESC LIMIT 30";
$result = $conn->query($sql);

// Se o IP não estiver entre os últimos 30 registros, insere uma nova entrada na tabela
if ($result->num_rows == 0) {
    $data = date("Y-m-d H:i:s");
    $sql = "INSERT INTO visitas (ip, data) VALUES ('$ip', '$data')";
    $conn->query($sql);
}


$conn->close();

?>
